fop 1.1

## org.apache.fop.afp.goca
Class GraphicsChainedSegment

    java.lang.Object
      org.apache.fop.afp.modca.AbstractAFPObject
          org.apache.fop.afp.modca.AbstractStructuredObject
              org.apache.fop.afp.modca.AbstractTripletStructuredObject
                  org.apache.fop.afp.modca.AbstractNamedAFPObject
                      org.apache.fop.afp.goca.AbstractGraphicsDrawingOrderContainer
                          org.apache.fop.afp.goca.GraphicsChainedSegment

All Implemented Interfaces:
  Completable, Startable, Streamable, StructuredData

    public final class GraphicsChainedSegment

extends AbstractGraphicsDrawingOrderContainer

A GOCA graphics segment

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`AbstractAFPObject.Category, AbstractAFPObject.Type`

Field Summary
`protected static int` `MAX_DATA_LEN` The maximum segment data length

Fields inherited from class org.apache.fop.afp.goca.AbstractGraphicsDrawingOrderContainer
`objects`

Fields inherited from class org.apache.fop.afp.modca.AbstractNamedAFPObject
`name`

Fields inherited from class org.apache.fop.afp.modca.AbstractTripletStructuredObject
`triplets`

Fields inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`LOG, SF_CLASS, SF_HEADER_LENGTH`

Constructor Summary
`GraphicsChainedSegment(java.lang.String name)` Main constructor
`GraphicsChainedSegment(java.lang.String name, byte[] predecessorNameBytes, boolean appended, boolean prologPresent)` Constructor

Method Summary
`int` `getDataLength()` Returns the current data length
`protected int` `getNameLength()` Returns the name length
`java.lang.String` `toString()`
`void` `writeToStream(java.io.OutputStream os)` DataStream objects must implement the writeToStream() method to write its data to the given OutputStream

Methods inherited from class org.apache.fop.afp.goca.AbstractGraphicsDrawingOrderContainer
`addAll, addObject, isComplete, isStarted, removeLast, setComplete, setStarted, writeContent, writeStart`

Methods inherited from class org.apache.fop.afp.modca.AbstractNamedAFPObject
`copySF, getName, getNameBytes, setName`

Methods inherited from class org.apache.fop.afp.modca.AbstractTripletStructuredObject
`addTriplet, addTriplets, getFullyQualifiedName, getTripletDataLength, getTriplets, hasTriplet, hasTriplets, setComment, setFullyQualifiedName, setObjectClassification, writeTriplets`

Methods inherited from class org.apache.fop.afp.modca.AbstractStructuredObject
`writeEnd`

Methods inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`copySF, truncate, writeChunksToStream, writeObjects`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MAX_DATA_LEN

    protected static final int MAX_DATA_LEN

  The maximum segment data length

  See Also:
    Constant Field Values

Constructor Detail

### GraphicsChainedSegment

    public GraphicsChainedSegment(java.lang.String name)

  Main constructor

  Parameters:
    `name` - the name of this graphics segment

### GraphicsChainedSegment

    public GraphicsChainedSegment(java.lang.String name,
                                  byte[] predecessorNameBytes,
                                  boolean appended,
                                  boolean prologPresent)

  Constructor

  Parameters:
    `name` - the name of this graphics segment
    `predecessorNameBytes` - the name of the predecessor in this chain
    `appended` - true if this segment is appended to the previous one
    `prologPresent` - true if this segment starts with a prolog

Method Detail

### getDataLength

    public int getDataLength()

  Returns the current data length

  Specified by:
    `getDataLength` in interface `StructuredData`
  Overrides:
    `getDataLength` in class `AbstractGraphicsDrawingOrderContainer`
  Returns:
    the current data length of this container including all enclosed objects (and their containers)

### getNameLength

    protected int getNameLength()

  Returns the name length

  Overrides:
    `getNameLength` in class `AbstractNamedAFPObject`
  Returns:
    the name length

### writeToStream

    public void writeToStream(java.io.OutputStream os)
                       throws java.io.IOException

  DataStream objects must implement the writeToStream() method to write its data to the given OutputStream

  Specified by:
    `writeToStream` in interface `Streamable`
  Overrides:
    `writeToStream` in class `AbstractStructuredObject`
  Parameters:
    `os` - the outputsteam stream
  Throws:
    `java.io.IOException` - an I/O exception of some sort has occurred.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `AbstractNamedAFPObject`

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.